/***********************************************************************************************************************
 *
 * SolidBlue - open source safe data
 * Copyright (C) 2011-2013 by Tidalwave s.a.s. (http://tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://solidblue.tidalwave.it
 * SCM: https://bitbucket.org/tidalwave/solidblue-src
 *
 **********************************************************************************************************************/
package it.tidalwave.integritychecker.archive.ui.impl;

import javax.annotation.Nonnull;
import javax.annotation.concurrent.NotThreadSafe;
import it.tidalwave.netbeans.util.Locator;
import it.tidalwave.messagebus.annotation.ListensTo;
import it.tidalwave.actor.annotation.Actor;
import it.tidalwave.integritychecker.archive.ScanArchiveCreatedMessage;
import it.tidalwave.integritychecker.archive.ScanArchiveOpenedMessage;
import it.tidalwave.integritychecker.archive.ui.ScanArchivePresentationProvider;

/***********************************************************************************************************************
 *
 * @stereotype Control
 * @stereotype Actor
 * 
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
@Actor @NotThreadSafe
public class ScanArchivePresentationControlActor 
  {
    // TODO: @Inject
    private ScanArchivePresentationProvider presentation = Locator.find(ScanArchivePresentationProvider.class);
    
    void onScanArchiveOpened (final @ListensTo @Nonnull ScanArchiveOpenedMessage message)
      {
        presentation.get().notify("<html>Opened scan archive for<br>" + message.getFolder().toString() + "</html>");
      }
    
    void onScanArchiveCreated (final @ListensTo @Nonnull ScanArchiveCreatedMessage message)
      {
        presentation.get().notify("<html>Created scan archive for<br>" + message.getFolder().toString() + "</html>");
      }
  }
